#!/bin/sh

# Obtain the D-Bus session bus address
. /tmp/session_bus_address.user

# Add the headphoned FIFO to MPlayer's global configuration
CONFIG_LINE="input:file=/etc/headphoned/mplayer-input"
MPLAYER_CONF="/etc/mplayer/mplayer.conf"
if [ -f "$MPLAYER_CONF" ]; then
  if ! grep "$CONFIG_LINE" "$MPLAYER_CONF" >/dev/null; then
	  echo -n "Updating $MPLAYER_CONF... "
	  echo $CONFIG_LINE >>$MPLAYER_CONF
	  echo "done."
  fi
fi
# End Add the headphoned FIFO to MPlayer's global configuration

/usr/sbin/headphoned &

